> ## Documentation Index
> Fetch the complete documentation index at: https://docs.timbal.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Rebind Connector

> Rebind a connector to a different knowledge base.



## OpenAPI

````yaml POST /orgs/{org_id}/connectors/{connector_id}/rebind
openapi: 3.1.0
info:
  title: Timbal Platform API
  description: Public API documentation for the Timbal platform
  license:
    name: ''
  version: 2.0.0
servers:
  - url: https://api.timbal.ai
    description: Production
  - url: https://api.dev.timbal.ai
    description: Development
security: []
tags:
  - name: ace
    description: Action Control Engine (ACE) operations
  - name: analytics
    description: Project analytics
  - name: billing
    description: Subscriptions, usage, and payment-related operations
  - name: content
    description: Re-sign stored content URLs
  - name: files
    description: File operations
  - name: iam
    description: IAM — actions, roles, users, and authorization introspection
  - name: k2
    description: Knowledge Bases v2 operations
  - name: orgs
    description: Organization operations
  - name: projects
    description: Project operations
  - name: runs
    description: Execution operations
  - name: templates
    description: Public project template catalog
  - name: users
    description: Authenticated user profile
paths:
  /orgs/{org_id}/connectors/{connector_id}/rebind:
    post:
      tags:
        - connectors
      summary: '`POST /orgs/{org_id}/connectors/{connector_id}/rebind`'
      description: Rebind a connector to a different knowledge base.
      operationId: handler
      parameters:
        - name: org_id
          in: path
          required: true
          schema:
            type: string
        - name: connector_id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RebindReq'
        required: true
      responses:
        '202':
          description: Rebind dispatched
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RebindRes'
        '400':
          description: Invalid URL
        '403':
          description: Forbidden
        '404':
          description: Connector not found
        '422':
          description: 'Connector offline (`code: connector_offline`)'
      security:
        - bearer_auth: []
components:
  schemas:
    RebindReq:
      type: object
      required:
        - url
      properties:
        url:
          type: string
          description: >-
            New channel URL to dial, e.g.
            `wss://api.timbal.ai/v1/connect/channel`.
    RebindRes:
      type: object
      required:
        - url
        - dispatched
      properties:
        dispatched:
          type: boolean
          description: >-
            Always true on a 202 — the connector acks/reverts asynchronously
            over

            the channel; watch the fleet listing for it to reconnect.
        url:
          type: string
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      description: >-
        Timbal API key. Obtain your API key from the Timbal platform settings.
        See [Authentication](/api-reference/authentication) for more
        information.

````